Bug 709456 - Old patches in vim.spec.
Summary: Old patches in vim.spec.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 18:27 UTC by Ricky Zhou
Modified: 2011-09-09 17:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-29 12:29:38 UTC


Attachments (Terms of Use)

Description Ricky Zhou 2011-05-31 18:27:57 UTC
Looking at vim.spec in git, there seem to be a bunch of old patches from 2008 that were meant to be removed after the major release.  These can probably be removed now that we're at vim 7.3 :-)

As a result, vim by default is missing autocmds for things like xz-compressed files and probably other enhancements made since 2008.

It'd probably also be nice to go through all of the patches and see which other ones can be removed - some of them mention vim versions as early as 6.0.

Comment 1 Ricky Zhou 2011-06-17 04:16:13 UTC
Ping, any update on this?

Comment 2 Ricky Zhou 2011-06-26 13:42:48 UTC
Hey, I looked through some of the patches and removed the ones that should no longer apply.  Here's a patch against master which does this: http://ricky.fedorapeople.org/vim/0001-Remove-old-patched-files.patch

It'd be great if those patches could also be removed in the F15/F14 branches as well.

Comment 3 Ricky Zhou 2011-08-28 14:50:03 UTC
Ping, any update on this?  I've rebased the patch (still at http://ricky.fedorapeople.org/vim/0001-Remove-old-patched-files.patch) against the current master branch.  I can make patches for the f15 and f14 branches as well if that helps.

Comment 4 Karsten Hopp 2011-08-29 12:29:38 UTC
vim-7.3.289-1.fc17 with your patch built here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3308511

while I'm at it, I'll update F14-F16, too

Comment 5 Fedora Update System 2011-08-29 12:44:30 UTC
vim-7.3.289-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/vim-7.3.289-1.fc16

Comment 6 Fedora Update System 2011-09-09 17:11:47 UTC
vim-7.3.289-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.